<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_07) on Fri Feb 18 00:47:26 EST 2005 -->
<TITLE>
D-Index
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="D-Index";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../org/eclipse/wst/common/modulecore/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-2.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-4.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-3.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">I</A> <A HREF="index-8.html">M</A> <A HREF="index-9.html">O</A> <A HREF="index-10.html">P</A> <A HREF="index-11.html">R</A> <A HREF="index-12.html">S</A> <A HREF="index-13.html">T</A> <A HREF="index-14.html">U</A> <A HREF="index-15.html">V</A> <A HREF="index-16.html">W</A> <HR>
<A NAME="_D_"><!-- --></A><H2>
<B>D</B></H2>
<DL>
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENCY_TYPE"><B>DEPENDENCY_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore"><CODE><em>Dependency Type</em></CODE></A>' enum.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENT_MODULE"><B>DEPENDENT_MODULE</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The meta object id for the '<CODE><em>Dependent Module</em></CODE>' class.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENT_MODULE_FEATURE_COUNT"><B>DEPENDENT_MODULE_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The number of structural features of the the '<em>Dependent Module</em>' class.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENT_MODULE__DEPENDENCY_TYPE"><B>DEPENDENT_MODULE__DEPENDENCY_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The feature id for the '<em><b>Dependency Type</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENT_MODULE__DEPLOYED_PATH"><B>DEPENDENT_MODULE__DEPLOYED_PATH</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The feature id for the '<em><b>Deployed Path</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#DEPENDENT_MODULE__HANDLE"><B>DEPENDENT_MODULE__HANDLE</B></A> - 
Static variable in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCorePackage.html" title="interface in org.eclipse.wst.common.modulecore">ModuleCorePackage</A>
<DD>The feature id for the '<em><b>Handle</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore"><B>DependencyType</B></A> - class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependencyType.html" title="class in org.eclipse.wst.common.modulecore">DependencyType</A>.<DD> 
 Indicates how a particular <A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>DependentModule</CODE></A>&nbsp;should be
 absorbed by a <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>.<DT><A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore"><B>DependentModule</B></A> - interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore">DependentModule</A>.<DD> 
 Used to reference <A HREF="../org/eclipse/wst/common/modulecore/WorkbenchModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModule</CODE></A>s either contained in
 the same project or remotely.<DT><A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html#dispose()"><B>dispose()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ArtifactEdit.html" title="class in org.eclipse.wst.common.modulecore">ArtifactEdit</A>
<DD>
 Clients must call the following method when they have finished using the model, even if the
 ArtifactEdit instance facade was created as read-only.
<DT><A HREF="../org/eclipse/wst/common/modulecore/IEditModelHandler.html#dispose()"><B>dispose()</B></A> - 
Method in interface org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/IEditModelHandler.html" title="interface in org.eclipse.wst.common.modulecore">IEditModelHandler</A>
<DD>
 Clients must invoke this method when they have finished using the handler.
<DT><A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html#dispose()"><B>dispose()</B></A> - 
Method in class org.eclipse.wst.common.modulecore.<A HREF="../org/eclipse/wst/common/modulecore/ModuleCore.html" title="class in org.eclipse.wst.common.modulecore">ModuleCore</A>
<DD>
 Clients must call the following method when they have finished using the model, even if the
 ModuleCore edit facade was created as read-only.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../org/eclipse/wst/common/modulecore/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-2.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-4.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-3.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">I</A> <A HREF="index-8.html">M</A> <A HREF="index-9.html">O</A> <A HREF="index-10.html">P</A> <A HREF="index-11.html">R</A> <A HREF="index-12.html">S</A> <A HREF="index-13.html">T</A> <A HREF="index-14.html">U</A> <A HREF="index-15.html">V</A> <A HREF="index-16.html">W</A> <HR>

</BODY>
</HTML>
